package net.woodyfolsom.msproj;

public class GameConfig {
	private double komi;
	private int size;
	private int timeLimit;

	public GameConfig(int size, double komi) {
		this(size);
		this.komi = komi;
	}

	public GameConfig(int size) {
		timeLimit = 0;
		this.size = size;
		switch (size) {
		case 9:
			komi = 6.5;
		default:
			komi = 5.5;
		}
	}

	public GameConfig(GameConfig that) {
		this.komi = that.komi;
		this.size = that.size;
		this.timeLimit = that.timeLimit;
	}

	public double getKomi() {
		return komi;
	}

	public int getSize() {
		return size;
	}

	public int getTimeLimit() {
		return timeLimit;
	}

	public void setKomi(double komi) {
		this.komi = komi;
	}

	public void setSize(int size) {
		this.size = size;
	}

	public void setTimeLimit(int timeLimit) {
		this.timeLimit = timeLimit;
	}
}